Create Campaign with WhatsApp Touchpoint
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"company_plan_id": "<string>",
"workspace_id": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"is_consultants": true,
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"attachment_url": "<string>",
"additional_settings": {
"execution_days": [
"<string>"
],
"start_hour": 123,
"end_hour": 123,
"delay": 123,
"time_zone": "<string>",
"ignore_suppression": true,
"from_numbers": [
"<string>"
]
},
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"whatsapp_data": {
"template": "<string>",
"language_code": "<string>",
"body_params": {
"is_static": true,
"params": [
{}
]
},
"header_params": {
"is_static": true,
"params": [
{}
]
},
"button_params": {
"is_static": true,
"params": [
{}
]
},
"whatsapp_body": "<string>"
},
"variables": [
{}
]
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint"
payload = {
"name": "<string>",
"type": "<string>",
"company_plan_id": "<string>",
"workspace_id": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"is_consultants": True,
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"attachment_url": "<string>",
"additional_settings": {
"execution_days": ["<string>"],
"start_hour": 123,
"end_hour": 123,
"delay": 123,
"time_zone": "<string>",
"ignore_suppression": True,
"from_numbers": ["<string>"]
},
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"whatsapp_data": {
"template": "<string>",
"language_code": "<string>",
"body_params": {
"is_static": True,
"params": [{}]
},
"header_params": {
"is_static": True,
"params": [{}]
},
"button_params": {
"is_static": True,
"params": [{}]
},
"whatsapp_body": "<string>"
},
"variables": [{}]
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
company_plan_id: '<string>',
workspace_id: '<string>',
business_goal: '<string>',
touchpoint: {
name: '<string>',
type: '<string>',
is_consultants: true,
status: '<string>',
start_at: '<string>',
assistant_id: 123,
attachment_url: '<string>',
additional_settings: {
execution_days: ['<string>'],
start_hour: 123,
end_hour: 123,
delay: 123,
time_zone: '<string>',
ignore_suppression: true,
from_numbers: ['<string>']
},
customer_details: [{id: '<string>', to_number: '<string>'}],
whatsapp_data: {
template: '<string>',
language_code: '<string>',
body_params: {is_static: true, params: [{}]},
header_params: {is_static: true, params: [{}]},
button_params: {is_static: true, params: [{}]},
whatsapp_body: '<string>'
},
variables: [{}]
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}Create-Campaign
Create Campaign with WhatsApp Touchpoint
Create a new campaign with a WhatsApp touchpoint.
POST
/
v2
/
campaign
/
create_with_touchpoint
Create Campaign with WhatsApp Touchpoint
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Campaign display name.
Campaign type. (e.g.
None)Company plan ID.
Workspace ID.
The business goal of the campaign.
The touchpoint object.
The name of the touchpoint.
The type of the touchpoint. e.g.
WHATSAPP.Whether consultants are involved in execution.
The status of the touchpoint. e.g.
scheduled.ISO 8601 scheduled date for the touchpoint.
The ID of the assistant to be used.
URL for any attachment sent with WhatsApp.
Additional settings for WhatsApp touchpoint.
Array of days when the campaign will run. e.g.
["mon", "tue", "wed"]Start hour for campaign execution.
End hour for campaign execution.
Delay between executions (in minutes).
Timezone for campaign execution. e.g.
Asia/Kolkata.Whether to bypass suppression rules.
WhatsApp numbers from which the message will be sent.
WhatsApp template & message content.
Template name.
Language code. e.g.
en.Plain text WhatsApp message body (if not using template).
Dynamic variables used inside campaign.
Response
201 Created – Campaign created successfullyRequest context ID
⌘I

